%define name ipvsadm
%define version 1.24
%define release 2mdk

Summary: Administration tool for Linux Virtual Server
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL 
Group: System/Kernel and hardware
URL: http://www.linuxvirtualserver.org
Source: http://www.linuxvirtualserver.org/software/%{name}-%{version}.tar.bz2
Source1: ip_vs.h
Source2: %{name}.sysconfig
Source3: rc.firewall.iptables.bz2
Patch0: ipvsadm-%version-mdk.patch.bz2
Patch1: ipvsadm-1.24-usage.patch.bz2
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: popt-devel
PreReq: rpm-helper

%description 
ipvsadm is a utility to administer the IP virtual server services
offered by the Linux kernel with virtual server patch.
Virtual Server in Linux kernel can be used to build a high-performance
and highly available server.

%prep
%setup -q
%patch0 -p1 -b .mdk
%patch1 -p1 -b .usage
%{__cp} %{SOURCE1} libipvs/ip_vs.h

%build
# parallel make doesn't work [FL Tue Jan 20 09:14:18 2004]
make CFLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p ${RPM_BUILD_ROOT}/{sbin,%{_mandir}/man8,etc/rc.d/init.d,etc/sysconfig}
make BUILD_ROOT=$RPM_BUILD_ROOT MANDIR=%_mandir install

# 345 default runlevels in the initscript
perl -p -i -e 's@\# chkconfig\: \- 08 92+@\# chkconfig\: 345 08 92@' ${RPM_BUILD_ROOT}%{_initrddir}/%{name};

install -m 755 %SOURCE2 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/%{name} 
#install -m 755 %SOURCE2 $RPM_BUILD_DIR/%name/sysconfig.example
bzcat %SOURCE3 > $RPM_BUILD_DIR/%name-%version/rc.firewall.iptables

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%defattr(-,root,root)
%doc README rc.firewall.iptables
%config(noreplace) %{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
/sbin/*
%{_mandir}/*/*

%changelog
* Tue Jan 20 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.24-2mdk
- fixed initscript usage string

* Mon Dec 22 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.24-1mdk
- 1.24
- remove %%patch0, use make MANDIR=%%_mandir instead
- update %%SOURCE1 from kernel 2.6 (ip_vs.h)
 
* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.21-2mdk
- rebuild
- macroize
- don't rm -rf $RPM_BUILD_ROOT in %%prep
- use %%make macro

* Fri Aug 02 2002 Florin <florin@mandrakesoft.com> 1.21-1mdk
- 1.21
- update the mdk patch
- the example file does not exist anymore

* Mon Apr 08 2002 Florin <florin@mandrakesoft.com> 1.20-0.rc6.1mdk
- 1.20.0rc6
- update the patches
- update the ip_vs.h file (SOURCE1)

* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.19-1mdk
- 1.19 (needed for latest kernel upgrade).

* Fri Aug 31 2001 Florin <florin@mandrakesoft.com> 1.18-4mdk
- add the rc.firewall.iptables example

* Wed Aug 29 2001 Florin <florin@mandrakesoft.com> 1.18-3mdk
- add the sysconf file in docs as example

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 1.18-2mdk
- add the sysconfig file
- add the requires on popt-devel

* Sat Aug 25 2001 Florin <florin@mandrakesoft.com> 1.18-1mdk
- 1.18
- major changings: remove lvs, lvs.example, ldirectord patch
- merge with redhat
- 345 default runlevels

* Tue Aug 29 2000  Philippe Libat <philippe@mandrakesoft.com> 0.9.16-2.2.17mdk
- new version 0.9.16-2.2.17
- sysconfig/lvs example

* Tue Aug 29 2000  Philippe Libat <philippe@mandrakesoft.com> 0.9.15-2.2.16mdk
- new version 0.9.15-2.2.16
- rebuild using %{_initrddir} macro

* Tue Aug 29 2000  Etienne Faure <etienne@mandrakesoft.com> 0.9.9-2.2.14.4mdk
- rebuild using the _mandir macro 

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-2.2.14.3mdk
- automatically added BuildRequires

* Thu Apr 13 2000 Philippe Libat  <philippe@mandrakesoft.com> 0.9.9-2.2.14.2mdk
- Add lvs.init
- Add ldirectord.patch

* Tue Apr 11 2000 Philippe Libat  <philippe@mandrakesoft.com> 0.9.9-2.2.14mdk
- Mandrake first spec

